---
import {getCollection} from "astro:content";

import VereinLayout from "../../../layouts/VereinLayout.astro";

const vorstandschaft = (await getCollection('vorstand')).sort((a, b) => a.data.order - b.data.order);
const musiker = (await getCollection('musiker'));
---

<VereinLayout>

  <div class="text-base leading-7 text-gray-700">
    <p class="text-base font-semibold leading-7 text-rose-700">Verein</p>
    <h1 class="mt-2 text-3xl font-bold tracking-tight text-gray-900 sm:text-4xl">Die Vorstandschaft des Musikverein Obermeitingen e.V.</h1>
    <figure class="mt-16">
      <img class="aspect-video rounded-xl bg-gray-50 object-cover" src="/mvo_2022_vorstandschaft.jpg"
           alt="Die Musiker des Musikvereins Obermeitingen e.V.">
      <figcaption class="mt-4 flex gap-x-2 text-sm leading-6 text-gray-500">
        <svg class="mt-0.5 h-5 w-5 flex-none text-gray-300" viewBox="0 0 20 20" fill="currentColor" aria-hidden="true">
          <path fill-rule="evenodd"
                d="M18 10a8 8 0 11-16 0 8 8 0 0116 0zm-7-4a1 1 0 11-2 0 1 1 0 012 0zM9 9a.75.75 0 000 1.5h.253a.25.25 0 01.244.304l-.459 2.066A1.75 1.75 0 0010.747 15H11a.75.75 0 000-1.5h-.253a.25.25 0 01-.244-.304l.459-2.066A1.75 1.75 0 009.253 9H9z"
                clip-rule="evenodd"></path>
        </svg>
        Die Vorstandschaft des Musikvereins Obermeitingen e.V. seit 2022<br>
        (v.l.n.r. Olaf Waldheim, Vincent Weihmayer, Sabine Gerlach, Vanessa Waldheim, Michaela Lüdecke, Georg Schmid, Katharina Jakob, Michael Weihmayer)

      </figcaption>
    </figure>

    <!-- TODO: Vorstandschaft generieren lassen -->
    <ul role="list" class="text-center mx-auto mt-20 grid max-w-2xl grid-cols-1 gap-x-8 gap-y-16 sm:grid-cols-2 lg:mx-0 lg:max-w-none lg:grid-cols-3">
      {
        vorstandschaft.map(async (vorstand) => {
          const person = musiker.find(musiker => musiker.id === vorstand.data?.musiker_ref.id);
          return (<li>
            <img class="mx-auto h-56 w-56 rounded-full"
                 src={person?.data.image?.length > 0 ? person?.data.image : '/avatar-dummy.svg'}
                 alt="">
            <h3
              class="mt-6 text-base font-semibold leading-7 tracking-tight text-gray-900">{person?.data.vorname} {person?.data.nachname}</h3>
            <p class="text-sm leading-6 text-gray-600">{vorstand.data?.rolle}</p>
          </li>)
        })
      }
    </ul>
  </div>
</VereinLayout>
